<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE configuration>
<configuration scan="true">
  <springProperty name="log.level" source="logging.level.root" defaultValue="INFO" />
  <include resource="org/springframework/boot/logging/logback/defaults.xml" />
  <include resource="org/springframework/boot/logging/logback/console-appender.xml" />

  <!-- The FILE and ASYNC appenders are here as examples for a production configuration -->
  <!--
  <appender name="FILE" class="ch.qos.logback.core.rolling.RollingFileAppender">
    <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
      <fileNamePattern>logFile.%d{yyyy-MM-dd}.log</fileNamePattern>
      <maxHistory>90</maxHistory>
    </rollingPolicy>
    <encoder>
      <charset>utf-8</charset>
      <Pattern>%d %-5level [%thread] %logger{0}: %msg%n</Pattern>
    </encoder>
  </appender>

  <appender name="ASYNC" class="ch.qos.logback.classic.AsyncAppender">
    <queueSize>512</queueSize>
    <appender-ref ref="FILE"/>
  </appender>
  -->

  <logger name="fr.alpes.craft" level="INFO" />

  <logger name="ch.qos.logback" level="WARN" />
  <logger name="com.sun" level="WARN" />
  <logger name="org.springframework" level="WARN" />
  <logger name="org.springframework.web" level="ERROR" />
  <!-- jhipster-needle-logback-add-log -->

  <root level="${log.level}">
    <appender-ref ref="CONSOLE" />

    <!-- The FILE and ASYNC appenders are here as examples for a production configuration -->
    <!--
    <appender-ref ref="FILE" />
    <appender-ref ref="ASYNC"/>
    -->
  </root>

  <contextListener class="ch.qos.logback.classic.jul.LevelChangePropagator">
    <resetJUL>true</resetJUL>
  </contextListener>
</configuration>
